# Uses of Class
javassist.bytecode.analysis.Type

Packages that use Type
Package
Description
javassist.bytecode.analysis
Bytecode Analysis API.

## Uses of Type in javassist.bytecode.analysis

Subclasses of Type in javassist.bytecode.analysis
Modifier and Type
Class
Description
`class`
`MultiArrayType`
Represents an array of `MultiType` instances.
`class`
`MultiType`
MultiType represents an unresolved type.
Fields in javassist.bytecode.analysis declared as Type
Modifier and Type
Field
Description
`static final Type`
Type.`BOGUS`
Represents a non-accessible value.
`static final Type`
Type.`BOOLEAN`
Represents the boolean primitive type
`static final Type`
Type.`BYTE`
Represents the byte primitive type
`static final Type`
Type.`CHAR`
Represents the char primitive type
`static final Type`
Type.`CLONEABLE`
Represents the java.lang.Coneable reference type
`static final Type`
Type.`DOUBLE`
Represents the double primitive type
`static final Type`
Type.`FLOAT`
Represents the float primitive type
`static final Type`
Type.`INTEGER`
Represents the integer primitive type
`static final Type`
Type.`LONG`
Represents the long primitive type
`static final Type`
Type.`OBJECT`
Represents the java.lang.Object reference type
`static final Type`
Type.`RETURN_ADDRESS`
Represents an internal JVM return address, which is used by the RET instruction to return to a JSR that invoked the subroutine.
`static final Type`
Type.`SERIALIZABLE`
Represents the java.io.Serializable reference type
`static final Type`
Type.`SHORT`
Represents the short primitive type
`static final Type`
Type.`THROWABLE`
Represents the java.lang.Throwable reference type
`static final Type`
Type.`TOP`
A placeholder used by the analyzer for the second word position of a double-word type
`static final Type`
Type.`UNINIT`
Represents an unknown, or null type.
`static final Type`
Type.`VOID`
Represents the void primitive type
Methods in javassist.bytecode.analysis that return Type
Modifier and Type
Method
Description
`static Type`
Type.`get(CtClass clazz)`
Obtain the Type for a given class.
`Type`
MultiArrayType.`getComponent()`
`Type`
MultiType.`getComponent()`
Always returns null since this type is never used for an array.
`Type`
Type.`getComponent()`
Returns the array component if this type is an array.
`Type`
Frame.`getLocal(int index)`
Returns the local varaible table entry at index.
`Type`
Frame.`getStack(int index)`
Returns the type on the stack at the specified index.
`Type`
MultiType.`merge(Type type)`
`Type`
Type.`merge(Type type)`
Finds the common base type, or interface which both this and the specified type can be assigned.
`Type`
Frame.`peek()`
Gets the top of the stack without altering it
`Type`
Frame.`pop()`
Alters the stack to contain one less element and return it.
Methods in javassist.bytecode.analysis with parameters of type Type
Modifier and Type
Method
Description
`boolean`
MultiArrayType.`isAssignableFrom(Type type)`
`boolean`
MultiType.`isAssignableFrom(Type type)`
`boolean`
Type.`isAssignableFrom(Type type)`
Determines whether this type is assignable, to the passed type.
`boolean`
MultiArrayType.`isAssignableTo(Type type)`
`boolean`
MultiType.`isAssignableTo(Type type)`
`Type`
MultiType.`merge(Type type)`
`Type`
Type.`merge(Type type)`
Finds the common base type, or interface which both this and the specified type can be assigned.
`void`
Frame.`push(Type type)`
Alters the stack by placing the passed type on the top
`void`
Frame.`setLocal(int index, Type type)`
Sets the local variable table entry at index to a type.
`void`
Frame.`setStack(int index, Type type)`
Sets the type of the stack position
Constructors in javassist.bytecode.analysis with parameters of type Type
Modifier
Constructor
Description
``
`MultiType(Map<String,CtClass> interfaces, Type potentialClass)`